commit:     5c5db1a5dc6963ba41835219c7444570f2fc72be
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  8 09:48:45 2017 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sat Apr  8 09:48:45 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c5db1a5

x11-misc/xdotool: Version bump.

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 x11-misc/xdotool/Manifest                    |  1 +
 x11-misc/xdotool/xdotool-3.20160805.1.ebuild | 58 ++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/x11-misc/xdotool/Manifest b/x11-misc/xdotool/Manifest
index 4965358bf80..58a27e956ef 100644
--- a/x11-misc/xdotool/Manifest
+++ b/x11-misc/xdotool/Manifest
@@ -1 +1,2 @@
 DIST xdotool-3.20150503.1.tar.gz 102125 SHA256 
e8326883bd5e91bede7336cbee186e6e9143f40b3fb61c84afc9bb31b87e96d1 SHA512 
d8eb411490d2f4936d63cd459e3319f76faf6dd415a3c2c68446b5a98d24290794dbffd22fbccfef5acc7d8aec6ce92b2135ecb3e1178607fc7d5b1e1767ede1
 WHIRLPOOL 
624b6fe82248ad31d4446dc5f42269c82d8d366e46d40313b77a78af18502cc57e8bf430fc7f175ed6d5474fe0c7de8643fd6cfba146ebc72e4f5545be48086c
+DIST xdotool-3.20160805.1.tar.gz 105388 SHA256 
35be5ff6edf0c620a0e16f09ea5e101d5173280161772fca18657d83f20fcca8 SHA512 
e27b1029ee954ea17643ed489a00a1856e5687b03772c0f10a8e50cde3c3c957b57a3ba9890005474a744a228ef4827a83770d6890479c37a1f98f4fd7b1ff6c
 WHIRLPOOL 
507279ba24036ce763a84a589d4fac7cf1c8ca4c931b6f6cb9649caaa1534d14f5cd572338f11328631b9cc5fd04042b8d6d629c74d661e6638d246aaded454e

diff --git a/x11-misc/xdotool/xdotool-3.20160805.1.ebuild 
b/x11-misc/xdotool/xdotool-3.20160805.1.ebuild
new file mode 100644
index 00000000000..08639af89e2
--- /dev/null
+++ b/x11-misc/xdotool/xdotool-3.20160805.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs flag-o-matic multilib
+
+DESCRIPTION="Simulate keyboard input and mouse activity, move and resize 
windows"
+HOMEPAGE="http://www.semicomplete.com/projects/xdotool/";
+SRC_URI="https://github.com/jordansissel/xdotool/releases/download/v${PV}/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE="examples"
+
+RDEPEND="
+       x11-libs/libXtst
+       x11-libs/libX11
+       x11-libs/libXinerama
+       x11-libs/libxkbcommon
+"
+DEPEND="
+       ${RDEPEND}
+       x11-proto/xineramaproto
+       x11-proto/xproto
+"
+
+# The test wants to manualy start Xvfb, wont use VirtualX and it tries
+# to run a full gnome-session. For such a tiny application i consider
+# it overkill to rewrite the test scripts to not use it's own X server
+# and add a full blown gnome just to run the tests.
+RESTRICT="test"
+
+src_prepare() {
+       default
+
+       sed -i \
+               -e "s/installheader post-install$/installheader/" \
+               -e 's:\<pkg-config\>:$(PKG_CONFIG):' \
+               Makefile || die
+}
+
+src_compile() {
+       tc-export CC LD PKG_CONFIG
+
+       emake PREFIX="/usr"
+}
+
+src_install() {
+       emake PREFIX="${D}usr" INSTALLMAN="${D}usr/share/man" 
INSTALLLIB="${D}usr/$(get_libdir)" install
+
+       dodoc CHANGELIST README
+       if use examples; then
+               insinto /usr/share/doc/${PF}/examples
+               doins examples/*
+       fi
+}

Reply via email to